## org.apache.poi.ddf
Class EscherDggRecord.FileIdCluster

    java.lang.Object
      org.apache.poi.ddf.EscherDggRecord.FileIdCluster

Enclosing class:
  EscherDggRecord

public static class EscherDggRecord.FileIdCluster
extends java.lang.Object

Constructor Summary
`EscherDggRecord.FileIdCluster(int drawingGroupId, int numShapeIdsUsed)`

Method Summary
`int` `getDrawingGroupId()`
`int` `getNumShapeIdsUsed()`
`void` `incrementShapeId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscherDggRecord.FileIdCluster

    public EscherDggRecord.FileIdCluster(int drawingGroupId,
                                         int numShapeIdsUsed)

Method Detail

### getDrawingGroupId

    public int getDrawingGroupId()

### getNumShapeIdsUsed

    public int getNumShapeIdsUsed()

### incrementShapeId

    public void incrementShapeId()

Copyright © 2003 Apache Software Foundation.